Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class SimpleListModel

    java.lang.Object
      javax.swing.AbstractListModel
          edu.stanford.smi.protege.util.SimpleListModel

All Implemented Interfaces:
  Serializable, ListModel

Direct Known Subclasses:
  ConcurrentListModel

    public class SimpleListModel

extends AbstractListModel

A list model where elements are stored in a `List`.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`SimpleListModel()`
`SimpleListModel(Collection values)`

Method Summary
`int` | `addValue(Object o)`
`void` | `addValue(Object o, int index)`
`int` | `addValues(Collection values)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`Object` | `getElementAt(int i)`
`protected List` | `getList()`
`int` | `getSize()`
`List` | `getValues()`
`int` | `indexOf(Object o)`
`protected List` | `makeList()`
`void` | `moveValue(int start, int end)`
`int` | `removeValue(Object o)`
`int` | `removeValues(Collection values)`
`void` | `setValue(int index, Object o)`
`void` | `setValues(Collection values)`
`List` | `toList()`
`String` | `toString()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleListModel

    public SimpleListModel()

### SimpleListModel

    public SimpleListModel(Collection values)

Method Detail

### makeList

    protected List makeList()

### getList

    protected List getList()

### addValue

    public int addValue(Object o)

### addValue

    public void addValue(Object o,
                         int index)

### addValues

    public int addValues(Collection values)

### clear

    public void clear()

### contains

    public boolean contains(Object o)

### getElementAt

    public Object getElementAt(int i)

### getSize

    public int getSize()

### getValues

    public List getValues()

### indexOf

    public int indexOf(Object o)

### moveValue

    public void moveValue(int start,
                          int end)

### removeValue

    public int removeValue(Object o)

### removeValues

    public int removeValues(Collection values)

### setValue

    public void setValue(int index,
                         Object o)

### setValues

    public void setValues(Collection values)

### toList

    public List toList()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.